This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 135991 - Button "OK" doesn't work on "Dual head" tab.
Button "OK" doesn't work on "Dual head" tab.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
: 136576 (view as bug list)
Depends On:
Blocks: FC6Target FC6Desktop
  Show dependency treegraph
 
Reported: 2004-10-16 08:07 EDT by Stanimir Vasic
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:17:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf.backup (4.03 KB, text/plain)
2004-10-19 21:10 EDT, Jim Cornette
no flags Details
This xorg.conf file was completely generated after moving the original out (2.81 KB, text/plain)
2004-10-19 21:14 EDT, Jim Cornette
no flags Details
This file is not purely generated. (3.99 KB, text/plain)
2004-10-20 22:00 EDT, Jim Cornette
no flags Details
This is from the fresh install of the FC3T1 system (3.36 KB, text/plain)
2004-10-21 22:05 EDT, Jim Cornette
no flags Details
This should be xorg.conf from initial FC3T3 installation (2.73 KB, text/plain)
2004-10-21 22:07 EDT, Jim Cornette
no flags Details
This is generated from backing up old configuration and then generating new (3.28 KB, text/plain)
2004-10-21 22:10 EDT, Jim Cornette
no flags Details
kudzu -p -d ddc before restarting server (227 bytes, text/plain)
2004-10-21 22:16 EDT, Jim Cornette
no flags Details
This is correcting the 815 for CRT instead of LCD (3.28 KB, text/plain)
2004-10-21 22:22 EDT, Jim Cornette
no flags Details
Apparently, the file was not upgraded. Previewing xorg.conf after nuke (3.28 KB, text/plain)
2004-10-21 22:30 EDT, Jim Cornette
no flags Details
Xorg.0.log from messy ati to 815 restart of server. (47.11 KB, text/plain)
2004-10-21 22:51 EDT, Jim Cornette
no flags Details
This is with 815 front and ati secondary (345 bytes, text/plain)
2004-10-21 22:56 EDT, Jim Cornette
no flags Details

  None (edit)
Description Stanimir Vasic 2004-10-16 08:07:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
When you try to save configuration changes on "Dual head" tab in
system-config-display, you can't, because nothing happens when you
click on button "OK", although button apears to accept clicking.  

P.S.
If you change configuration for dual display directly in xorg.conf,
than it works ok.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run system-config-display
2. go to "Dual head" tab, make some changes
3. try to save them clicking on OK
    

Actual Results:  Button accepts clicking, but nothing else happens.

Expected Results:  Save settings and close the tool.

Additional info:
Comment 1 Jim Cornette 2004-10-16 12:49:09 EDT
I experienced the same problem with not being able to save the
settings. From the terminal, I get this output. Also, this happens if
the PCI is primary or if the internal card is selected as the primary
graphics controller.


 system-config-display
Trying with card: ATI Radeon 7200
in hydrate_second
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 134,
in ok
    lower_hsync, upper_hsync =
string.split(str(self.second_monitor_hsync), "-")ValueError: unpack
list of wrong size

Comment 2 Paul Nasrat 2004-10-18 01:12:34 EDT
Does the original poster get any tracebacks if you run
system-config-display from a terminal?

Jim are you selecting a second monitor, if so which?  Can you the
following line above line 134 of (indented on the same level as the
hsync splitting line):

/usr/share/system-config-display/xConfigDialog.py

print self.second_monitor_hsync


Comment 3 Jim Cornette 2004-10-18 22:32:40 EDT
My display settings were for a 640x480 generic CRT display. I also
have tried before with an 800x600 LCD display and had the same results.

I added the line with two tabs in and above line 134 of old the line
stated below.

lower_hsync, upper_hsync =
string.split(str(self.second_monitor_hsync), "-")

I'll give it a shot to see if all goes well.

Jim
Comment 4 Jim Cornette 2004-10-18 22:38:42 EDT
The effect was moving the error down a line.

 system-config-display
Trying with card: ATI Radeon 7200
in hydrate_second
31.5
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 135,
in ok
    lower_hsync, upper_hsync =
string.split(str(self.second_monitor_hsync), "-")ValueError: unpack
list of wrong size

Comment 5 Jim Cornette 2004-10-18 22:43:20 EDT
the file line before and after is 133, 134 and 135. There is wrapping
after the = signs

lower_vrefresh, upper_vrefresh =
string.split(str(self.second_monitor_vrefresh), "-")
		print self.second_monitor_hsync
                lower_hsync, upper_hsync =
string.split(str(self.second_monitor_hsync), "-")
Comment 6 Paul Nasrat 2004-10-19 04:19:42 EDT
Looks like we're getting 31.5 rather than a range for your hsync so
when we try to split the string it barfs.  Need to figure out why it's
getting this rather than a range.  I'll also add more sanity checking
to the processing.

Can you attach your xorg.conf? Was the xorg.conf purely generated by
s-c-display?

Comment 7 Stanimir Vasic 2004-10-19 06:29:13 EDT
After updating system with available patches, I can't generate same
error any more. 

Now, it accepts clicking on button OK, displays message about new
configuration and about savin old one, BUT configuration is not saved.
It's same as it was previous. No matter if I run system-config-display
or click on Display in System Settings.

Stane
Comment 8 Jim Cornette 2004-10-19 21:04:29 EDT
The file says that it was generated by s-c-display. I just gave up the
videocard that I was trying to dual boot with to my daughter. Her
video card went out.
Anyway, with the now gone radeon 7200 card with 32 MB memory, it would
lower my maximum resolution for my 815 internal card to 800x600
maximum. With the 7200 gone, the maximum resolution is displayed as
1400x1050. I don't know why the two cards interacted negatively together.

I tried to set up as dual boot with just the single card and ended up
with the same failure. (Line 135 now). I also ended up with this error
during one of the attempts. Why both attempts gave different results
was puzzling to me.

I'll attach the xorg.conf that was generated by s-c-display.
Comment 9 Jim Cornette 2004-10-19 21:10:50 EDT
Created attachment 105480 [details]
xorg.conf.backup

This version was tampered with to add options to isolate the refresh error with
the 815 GC, The options were commented out during the setup.

The one time error w/o the pci card was below. The second attempt was the line
135 error.

815
in hydrate_second
31.5-79.0
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 206, in ok
    primaryPCIBus = "PCI:%d:%d:%d" % (self.state.get_videocard_PCIBus(),
TypeError: int argument required
Comment 10 Jim Cornette 2004-10-19 21:14:26 EDT
Created attachment 105481 [details]
This xorg.conf file was completely generated after moving the original out

It seems to me that the dropping of maximum resolution for the 815 internal
graphics controller w/ the pci radeon 7200 should not happen. I believe the the
radeon 7200 had seperate video memory of 32 MB and did not need shared memory.

Thanks!

Jim
Comment 11 Jim Cornette 2004-10-19 21:21:35 EDT
Different output a bit for the line 135 error. It was for the 815 card
as below.

 Intel 815
in hydrate_second
31.5
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 135,
in ok
    lower_hsync, upper_hsync =
string.split(str(self.second_monitor_hsync), "-")ValueError: unpack
list of wrong size
Comment 12 Bill Nottingham 2004-10-20 19:04:23 EDT
*** Bug 136576 has been marked as a duplicate of this bug. ***
Comment 13 Jim Cornette 2004-10-20 20:47:56 EDT
Getting another graphics controller and using the auto setting within
the bios, I have a problem when trying to configure the card w/ both
maximum resolution on the 815 card and errors at the below line. After
the error is the video card type used now, same problem.

# system-config-display
Trying with card: ATI Mach64 VT (264VT)
in hydrate_second
31.5-79.0
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 206,
in ok
    primaryPCIBus = "PCI:%d:%d:%d" % (self.state.get_videocard_PCIBus(),
TypeError: int argument required

1:00.0 VGA compatible controller: ATI Technologies Inc 264VT [Mach64
VT] (rev 40) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Mach64VT Reference
        Flags: VGA palette snoop, stepping, medium devsel, IRQ 11
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at d800 [size=256]
        Expansion ROM at fe9f0000 [disabled] [size=64K]
Comment 14 Jim Cornette 2004-10-20 21:56:37 EDT
With system-config-display-1.0.23-1 installed and attempted, I do not
get this particular error any longer. Clicking on the OK button saves
the xorg.conf file without errors.

I'll try to reboot and check if the resulting xorg.conf allows
rebooting and dual-display.

Comment 15 Jim Cornette 2004-10-20 22:00:04 EDT
Created attachment 105573 [details]
This file is not purely generated.

This file was from a configuration where the dual cards were selected
successfully. This was probably generated from FC3T1 and recently edited by
s-c-display from previous comment.
no promises this will be of any value.

PS - Thanks!
Comment 16 Paul Nasrat 2004-10-21 04:42:43 EDT
There are several different failures lumped in here.  I under what
conditions the exceptions occur - but I'm trying to figure out the
precise root cause in your setup.

1) the string.split(str(self.second_monitor_hsync) where we don't have
a "-" in the hsync for the second monitor. Is this reproducable?  If
so backup your xorg.conf, run system-config-display --reconfig to
setup primary card and create clean xorg.conf and attach, run
system-config-display to setup secondary card/monitor.  Also attach
kudzu -p -b ddc and the monitor details.  Please document what monitor
you select, etc.

2) primaryPCIBus = "PCI:%d:%d:%d" %
(self.state.get_videocard_PCIBus()) Where the pci bus isn't an int
(possibly None).  Comment #13 implies this did not occur with most
recent s-c-display.  Jim can you reproduce this?
Comment 17 Jim Cornette 2004-10-21 21:55:40 EDT
After installing the xorg-x11 with the -10 and rebooting, X was
killed. I reinstalled fresh both FC3T1 and FC3T3 clean on a system.
FC3T1 version for the s-c-display and dual monitor seemed to record
the - for the second monitor. There was an after configuration problem
with the secondary display locking up when the 815 internal is
secondary. The problem seems to be the same as when trying to install
FC3T3 on computers with an 815 graphics controller. All you see is
vertical lines and sometimes it effects the PCI card ATI Graphics
controller.

Reversing the cards for 815 as primary and the ATI PCI card as
secondary render no display on the ATI monitor.

Moving to FC3T3 version of s-c-display, I get the PCI error above on
line 196 and pressing OK does not do any good.

Back to the questions above, I just installed S-c-display-1.0.23-1 and
will perform the steps above.

Using 1.0.23-1 - Test 1: with FC3T3 generated xorg.conf, PCI error
above at line 208.
ATI card as primary PCI display and generic LCD 800x600 display
selected. For the secondary display w/ the 815 card a generic CRT with
the resolution 1280x1024 selected.
I'm getting ready to try backup the FC3T3 generated xorg.conf file and
then try reconfig.
Reconfiguring xorg.conf worked out. I'll attach the outputs config
files monitor selection fir the scenerios.
Comment 18 Jim Cornette 2004-10-21 22:05:04 EDT
Created attachment 105624 [details]
This is from the fresh install of the FC3T1 system

I set this up to dual-display and it took. The secondary display did not work
for either card as secondary.
Comment 19 Jim Cornette 2004-10-21 22:07:00 EDT
Created attachment 105625 [details]
This should be xorg.conf from initial FC3T3 installation
Comment 20 Jim Cornette 2004-10-21 22:10:27 EDT
Created attachment 105626 [details]
This is generated from backing up old configuration and then generating new

This file was generated with no xorg.conf file in place. The configuration ATI
- 800x600 Generic LCD and 815 - 1280x1024 Generic CRT

I have not restarted the server yet.
Comment 21 Jim Cornette 2004-10-21 22:16:51 EDT
Created attachment 105627 [details]
kudzu -p -d ddc before restarting server

I'm hoping that the configuration works and no locked up screens.
Comment 22 Jim Cornette 2004-10-21 22:22:49 EDT
Created attachment 105629 [details]
This is correcting the 815 for CRT instead of LCD

OOPS! reconfiguration did not generate any errors. Changing the LCD mistake to
CRT generic wentwell w/o the OK button error.
Comment 23 Jim Cornette 2004-10-21 22:30:39 EDT
Created attachment 105630 [details]
Apparently, the file was not upgraded. Previewing xorg.conf after nuke

After nuking the xorg.conf file that did not seem to change any of my
filesettings, I am submitting a freshly generated xorg-x11 config file. This
sounds like what was presented by the original bug reporter in earlier
comments.
Comment 24 Jim Cornette 2004-10-21 22:51:49 EDT
Created attachment 105631 [details]
Xorg.0.log from messy ati to 815 restart of server.

After rebooting the server, I had errors with left to right lines on the i810
and the ATI eventually dies and gdm respawns. This is the Xorg.0.log file for
this problem.

With the ATI card as secondary, I get no screen output from the LCD monitor.
I hope that I'm not departing the bug too far from topic.

The s-c-display xorg.conf file for 815 internal and ati PCI will be attached as
w/ kudzu for 815 primary and ati secondary.
Comment 25 Jim Cornette 2004-10-21 22:56:33 EDT
Created attachment 105632 [details]
This is with 815 front and ati secondary

Having cards steal memory from other cards, when they have their own internal
video memory makes me wonder what i'm missing about shared and dedicated video
memory cards.
Comment 26 Adam Jackson 2006-03-03 10:32:42 EST
Mass update: move dual head bugs from FC5 to FC6, no way they can get fixed
before FC5 release at this point.
Comment 27 Jim Cornette 2006-03-04 10:45:38 EST
The button OK selection worked fine the last time that I tried it (recently). 

The overlapping memory range is a different problem and not related to the
original poster complaint or my confirmation.
Comment 28 Matthias Clasen 2006-07-06 17:59:02 EDT
Add to FC6Destop tracker
Comment 29 John Thacker 2006-10-30 10:17:43 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.
 It has remained in NEEDINFO status for quite a long period of time, asking for
confirmation on a more recent (still fully supported) version of Fedora Core.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 30 Jim Cornette 2006-10-30 20:57:58 EST
The bug was during early development of the program and was fixed. I don't know
what happened to the bug originator, but it works for dual head now. I have dual
head using s-d-display on FC6.

Note You need to log in before you can comment on or make changes to this bug.